Koneksia Labs
IDENEnglishLog inSign up free
Test mode — balances and payments are not real money.

API reference

The API is compatible with OpenAI Chat Completions. Base URL: ROUTER_BASE_URL (includes /v1). Auth: Authorization: Bearer.

Endpoints

Endpoints
EndpointsMeaning
POST /v1/chat/completionsOpenAI Chat Completions: messages, stream, tools, response_format, max_tokens, temperature, reasoning. usage adds cost (IDR), cost_micro_idr and cached_tokens.
GET /v1/modelsPublic model list with pricing (prompt_idr, completion_idr, idr_per_1k_words_out) and providers.
GET /v1/models/{vendor}/{model}/endpointsPer-provider prices, uptime and latency.
GET /v1/generation?id=gen-…Metadata and final cost of one request of your account.
GET /v1/keyCurrent key: name, prefix, pdp_mode, budgets and remaining limit.
GET /v1/creditsbalance_idr, held_idr, available_idr, totals.
GET /v1/providersPublic provider list: slug, name, models, data_regions, pdp_eligible_endpoints and per-endpoint data policy (region, retention, training, ZDR, PDP, terms URL and review date).

Errors to handle

Quickstart